BEGIN ~LHCHR14P~

IF ~Global("KickedOut","LOCALS",1)~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO 3
  IF ~~ THEN REPLY @2 DO ~SetGlobal("Char14","GLOBAL",2)
SetGlobal("KickedOut","LOCALS",0)
JoinParty()~ EXIT
  IF ~~ THEN REPLY @3 DO ~SetGlobal("KickedOut","LOCALS",1)
SetGlobal("Char14","GLOBAL",1)
~ EXIT
END

IF ~Global("KickedOut","LOCALS",0)~ THEN BEGIN 2
  SAY @4
  IF ~~ THEN REPLY @5 DO ~SetGlobal("Char14","GLOBAL",2)
JoinParty()~ EXIT
  IF ~~ THEN REPLY @6 DO ~SetGlobal("KickedOut","LOCALS",1)
SetGlobal("Char14","GLOBAL",1)
EscapeAreaMove("AR0333",425,546,6)
~ EXIT
END

IF ~~ THEN BEGIN 3
  SAY @7
  IF ~~ THEN REPLY @8 DO ~SetGlobal("Char14","GLOBAL",2)
SetGlobal("KickedOut","LOCALS",0)
JoinParty()~ EXIT
  IF ~~ THEN REPLY @3 DO ~SetGlobal("KickedOut","LOCALS",1)
SetGlobal("Char14","GLOBAL",1)
~ EXIT
END
